from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.urls import reverse
from .models import *
from django.contrib.auth.models import User
from config.views import *
from att.views import *

def welcome(request):
  if not 'AdminId' in request.session:
    return HttpResponseRedirect(reverse("login:start"))
  AdminId = request.session['AdminId']

  data = dict()
  data['HeaderTitle'] = getConfig('HeaderTitle')

  u = User.objects.get(pk=AdminId)
  a = Assegnazione.objects.filter(user=u.id)
  print(len(a))
  tmplist = list()
  for ax in a:
    tmplist.append(ax.azienda)

  data['listaAttivita']=getLogxAmministrazione(u)

  if request.method=="POST":

    if 'ritorna' in request.POST:
      print('premuto tast ritorno,logout')
      return HttpResponseRedirect(reverse("login:start"))

    if  "utenti" in request.POST:
      print('premuto tasto utenti')
      # stato premuto il tasto, tocca recuperare l'id
      azienda = request.POST['utenti']
      print('azienda x utenti',azienda)
      request.session['AziendaId'] = azienda
      return HttpResponseRedirect(reverse('utente:welcome'))

    if 'documenti' in request.POST:
      # stato premuto il tasto documenti
      azienda = request.POST['documenti']
      print('premuto tasto documenti',azienda)
      print('azienda x documenti',azienda)
      request.session['AziendaId'] = azienda
      return HttpResponseRedirect(reverse('documento:welcome'))


  data['azienda'] = tmplist
  return render(request,'azienda.welcome.html',data)

